import { defineComponent } from "vue";
import styles from "./index.module.less";
import state from "/src/state";
import icon_title from './icon_title.svg'
import icon_cancel from './icon_cancel.svg'
import icon_confirm from './icon_confirm.svg'

export default defineComponent({
	name: "evaluat-audio",
	emits: ["close"],
	setup(props, { emit }) {
		return () => (
			<div class={styles.fraction}>
				<div class={styles.title}>
					<img src={icon_title} />
				</div>
				<div class={styles.tip}>评测{state.setting.camera && state.setting.saveToAlbum ? "音视频" : "音频"}是否上传到云端？</div>
				<div class={styles.btns}>
					<img src={icon_cancel} class={styles.btn} onClick={() => emit("close")} />
					<img src={icon_confirm} class={styles.btn} onClick={() => emit("close", true)} />
				</div>
			</div>
		);
	},
});
