import { defineComponent } from 'vue'
import { NoticeBar } from 'vant'
import styles from './index.module.less'
import state, { IPlatform } from "/src/state";

import MusicIcon from '../image/music.png'
import ArrowIcon from '../image/arrow.svg'

export default defineComponent({
  name: 'detail-title',
  props: {
    text: {
      type: String,
      default: ''
    },
    rightView: {
      type: Boolean,
      default: true,
    },
    onClick: {
      type: Function,
    } as any
  },
  render() {
    return (
      <div class={[styles.container, state.platform === IPlatform.PC && styles.pcContainer]}>
        <NoticeBar
          text={this.text}
          color="#000"
          class={styles.noticeBar}
          background="none"
        />
      </div>
    )
  }
})
