export const FINER_INSTRUMENT_POINT = {
  "pan-flute": [
    {
      key: 5,
      name: "G",
      octave: 4,
      step: -1,
      realKey: 55,
      realName: "G4",
      style: { width: '5.6%' }
    },
    {
      key: 6,
      name: "A",
      octave: 4,
      step: -1,
      realKey: 57,
      realName: "A4",
      style: { width: '5.3%', height: '93.3%' }
    },
    {
      key: 7,
      name: "B",
      octave: 4,
      step: -1,
      realKey: 59,
      realName: "B4",
      style: { width: '5.4%', height: '88%' }
    },
    {
      key: 1,
      name: "C",
      octave: 5,
      step: 0,
      realKey: 60,
      realName: "C5",
      style: { width: '5.3%', height: '82%' }
    },
    {
      key: 2,
      name: "D",
      octave: 5,
      step: 0,
      realKey: 62,
      realName: "D5",
      style: { width: '5.2%', height: '76.6%' }
    },
    {
      key: 3,
      name: "E",
      octave: 5,
      step: 0,
      realKey: 64,
      realName: "E5",
      style: { width: '5%', height: '70.6%' }
    },
    {
      key: 4,
      name: "F",
      octave: 5,
      step: 0,
      realKey: 65,
      realName: "F5",
      style: { width: '5.2%', height: '64%' }
    },
    {
      key: 5,
      name: "G",
      octave: 5,
      step: 0,
      realKey: 67,
      realName: "G5",
      style: { width: '5%', height: '59%' }
    },
    {
      key: 6,
      name: "A",
      octave: 5,
      step: 0,
      realKey: 69,
      realName: "A5",
      style: { width: '4.7%', height: '55%' }

    },
    {
      key: 7,
      name: "B",
      octave: 5,
      step: 0,
      realKey: 71,
      realName: "B5",
      style: { width: '4.8%', height: '51%' }
    },
    {
      key: 1,
      name: "C",
      octave: 6,
      step: 1,
      realKey: 72,
      realName: "C6",
      style: { width: '5%', height: '47.6%' }
    },
    {
      key: 2,
      name: "D",
      octave: 6,
      step: 1,
      realKey: 74,
      realName: "D6",
      style: { width: '4.8%', height: '45%' }
    },
    {
      key: 3,
      name: "E",
      octave: 6,
      step: 1,
      realKey: 76,
      realName: "E6",
      style: { width: '4.7%', height: '42.6%' }
    },
    {
      key: 4,
      name: "F",
      octave: 6,
      step: 1,
      realKey: 77,
      realName: "F6",
      style: { width: '4.6%', height: '40.6%' }
    },
    {
      key: 5,
      name: "G",
      octave: 6,
      step: 1,
      realKey: 79,
      realName: "G6",
      style: { width: '4.6%', height: '38%' }
    },
    {
      key: 6,
      name: "A",
      octave: 6,
      step: 1,
      realKey: 81,
      realName: "A6",
      style: { width: '4%', height: '36.6%' }
    },
    {
      key: 7,
      name: "B",
      octave: 6,
      step: 1,
      realKey: 83,
      realName: "B6",
      style: { width: '4.4%', height: '35%' }
    },
    {
      key: 1,
      name: "C",
      octave: 7,
      step: 2,
      realKey: 84,
      realName: "C7",
      style: { width: '4%', height: '33%' }
    },
    {
      key: 2,
      name: "D",
      octave: 7,
      step: 2,
      realKey: 86,
      realName: "D7",
      style: { width: '4%', height: '31%' }
    },
    {
      key: 3,
      name: "E",
      octave: 7,
      step: 2,
      realKey: 88,
      realName: "E7",
      style: { width: '4%', height: '30%' }
    },
    {
      key: 4,
      name: "F",
      octave: 7,
      step: 2,
      realKey: 89,
      realName: "F7",
      style: { width: '4%', height: '29%' }
    },
  ],
  melodica: [
    {
      key: 4,
      name: "F",
      octave: 4,
      step: -1,
      realKey: 53,
      realName: "F4",
    },
    {
      key: 5,
      name: "G",
      octave: 4,
      step: -1,
      realKey: 55,
      realName: "G4",
      children: {
        key: 5,
        name: "G",
        octave: 4,
        step: -1,
        realKey: 54,
        mark: "fall",
        realName: "Gb4",
        style: { marginLeft: '-48%' }
      },
    },

    {
      key: 6,
      name: "A",
      octave: 4,
      step: -1,
      realKey: 57,
      realName: "A4",
      children: {
        key: 6,
        name: "A",
        octave: 4,
        step: -1,
        realKey: 56,
        mark: "fall",
        realName: "Ab4",
        style: { marginLeft: '-29%' }
      },
    },
    {
      key: 7,
      name: "B",
      octave: 4,
      step: -1,
      realKey: 59,
      realName: "B4",
      children: {
        key: 7,
        name: "B",
        octave: 4,
        step: -1,
        realKey: 58,
        mark: "fall",
        realName: "Bb4",
        style: { marginLeft: '-11%' }
      },
    },
    {
      key: 1,
      name: "C",
      octave: 5,
      step: 0,
      realKey: 60,
      realName: "C5",
    },

    {
      key: 2,
      name: "D",
      octave: 5,
      step: 0,
      realKey: 62,
      realName: "D5",
      children: {
        key: 2,
        name: "D",
        octave: 5,
        step: 0,
        realKey: 61,
        mark: "fall",
        realName: "Db5",
        style: { marginLeft: '-36%' }
      },
    },

    {
      key: 3,
      name: "E",
      octave: 5,
      step: 0,
      realKey: 64,
      realName: "E5",
      children: {
        key: 3,
        name: "E",
        octave: 5,
        step: 0,
        realKey: 63,
        mark: "fall",
        realName: "Eb5",
        style: { marginLeft: '-22%' }
      },
    },
    {
      key: 4,
      name: "F",
      octave: 5,
      step: 0,
      realKey: 65,
      realName: "F5",
    },

    {
      key: 5,
      name: "G",
      octave: 5,
      step: 0,
      realKey: 67,
      realName: "G5",
      children: {
        key: 5,
        name: "G",
        octave: 5,
        step: 0,
        realKey: 66,
        mark: "fall",
        realName: "Gb5",
        style: { marginLeft: '-47%' }
      },
    },
    {
      key: 6,
      name: "A",
      octave: 5,
      step: 0,
      realKey: 69,
      realName: "A5",
      children: {
        key: 6,
        name: "A",
        octave: 5,
        step: 0,
        realKey: 68,
        mark: "fall",
        realName: "Ab5",
        style: { marginLeft: '-29%' }
      },
    },

    {
      key: 7,
      name: "B",
      octave: 5,
      step: 0,
      realKey: 71,
      realName: "B5",
      children: {
        key: 7,
        name: "B",
        octave: 5,
        step: 0,
        realKey: 70,
        mark: "fall",
        realName: "Bb5",
        style: { marginLeft: '-11%' }
      },
    },
    {
      key: 1,
      name: "C",
      octave: 6,
      step: 1,
      realKey: 72,
      realName: "C6",
    },

    {
      key: 2,
      name: "D",
      octave: 6,
      step: 1,
      realKey: 74,
      realName: "D6",
      children: {
        key: 2,
        name: "D",
        octave: 6,
        step: 1,
        realKey: 73,
        mark: "fall",
        realName: "Db6",
        style: { marginLeft: '-34%' }
      },
    },

    {
      key: 3,
      name: "E",
      octave: 6,
      step: 1,
      realKey: 76,
      realName: "E6",
      children: {
        key: 3,
        name: "E",
        octave: 6,
        step: 1,
        realKey: 75,
        mark: "fall",
        realName: "Eb6",
        style: { marginLeft: '-23%' }
      },
    },
    {
      key: 4,
      name: "F",
      octave: 6,
      step: 1,
      realKey: 77,
      realName: "F6",
    },

    {
      key: 5,
      name: "G",
      octave: 6,
      step: 1,
      realKey: 79,
      realName: "G6",
      children: {
        key: 5,
        name: "G",
        octave: 6,
        step: 1,
        realKey: 78,
        mark: "fall",
        realName: "Gb6",
        style: { marginLeft: '-47%' }
      },
    },

    {
      key: 6,
      name: "A",
      octave: 6,
      step: 1,
      realKey: 81,
      realName: "A6",
      children: {
        key: 6,
        name: "A",
        octave: 6,
        step: 1,
        realKey: 80,
        mark: "fall",
        realName: "Ab6",
        style: { marginLeft: '-29%' }
      },
    },

    {
      key: 7,
      name: "B",
      octave: 6,
      step: 1,
      realKey: 83,
      realName: "B6",
      children: {
        key: 7,
        name: "B",
        octave: 6,
        step: 1,
        realKey: 82,
        mark: "fall",
        realName: "Bb6",
        style: { marginLeft: '-11%' }
      },
    },
    {
      key: 1,
      name: "C",
      octave: 7,
      step: 2,
      realKey: 84,
      realName: "C7",
    },
  ]
} as any