export interface IFIGNER_INSTRUMENT_Note {
	key: number;
	name: string;
	octave: number;
	step: number;
	realKey: number;
	/** 升降记号 */
	mark?: "rise" | "fall";
	/** 音名 */
	realName: string;
}
interface IFIGNER_INSTRUMENT_DATA {
	list: IFIGNER_INSTRUMENT_Note[];
	[_: string]: IFIGNER_INSTRUMENT_Note[];
}
export const FIGNER_INSTRUMENT_DATA: { [_: string]: IFIGNER_INSTRUMENT_DATA } = {
	"pan-flute": {
		list: [
			{
				key: 5,
				name: "G",
				octave: 4,
				step: -1,
				realKey: 55,
				realName: "G4",
			},
			{
				key: 6,
				name: "A",
				octave: 4,
				step: -1,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 7,
				name: "B",
				octave: 4,
				step: -1,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 1,
				name: "C",
				octave: 6,
				step: 1,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 4,
				name: "F",
				octave: 6,
				step: 1,
				realKey: 77,
				realName: "F6",
			},
			{
				key: 5,
				name: "G",
				octave: 6,
				step: 1,
				realKey: 79,
				realName: "G6",
			},
			{
				key: 6,
				name: "A",
				octave: 6,
				step: 1,
				realKey: 81,
				realName: "A6",
			},
			{
				key: 7,
				name: "B",
				octave: 6,
				step: 1,
				realKey: 83,
				realName: "B6",
			},
			{
				key: 1,
				name: "C",
				octave: 7,
				step: 2,
				realKey: 84,
				realName: "C7",
			},
			{
				key: 2,
				name: "D",
				octave: 7,
				step: 2,
				realKey: 86,
				realName: "D7",
			},
			{
				key: 3,
				name: "E",
				octave: 7,
				step: 2,
				realKey: 88,
				realName: "E7",
			},
			{
				key: 4,
				name: "F",
				octave: 7,
				step: 2,
				realKey: 89,
				realName: "F7",
			},
		],
		tips: [
			{
				key: 0,
				name: "呼吸",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"使用腹式呼吸法。吸气时，最大限度地向外扩张腹部，胸部保持不动。呼气时，最大限度地向内收缩腹部，胸部保持不动。",
			},
			{
				key: 0,
				name: "吐音",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"首先要形成一个正确的口风：微笑——嘴闭紧——嘴角向两边抻——下颌微微往前伸，不要露出牙齿。舌尖伸出—双唇压紧—迅速收回—同时吹气。反复练习这个动作，而且每吹一个音都要用吐音，只有掌握了正确的吐音方法以后，才可以进行演奏。建议对着镜子练习。",
			},
			{
				key: 0,
				name: "移动",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"排箫一管一音，移动的准确性就成为重中之重，移动时，保持排箫的水平和垂直以及下唇和吹口的位置关系，而且每次移动都要对正管子。建议练习找管位时先从二度——三度——四度——五度——多度，总之每一次练习都应该是重复正确和纠正错误，开始时注意力很难兼顾三项，慢慢才能配合默契，形成一种下意识动作，直至“手到—嘴到—气到”。",
			},
		],
	},
	"hulusi-flute": {
		tips: [
			{
				key: 0,
				name: "单吐",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"利用舌尖部顶住上腭前半部(即“吐”字发音前状态)截断气流,然后迅速地将舌放开,气息随之吹出。通过一顶一放的连续动作,使气流断续地进入吹口,便可以获得断续分奏的单吐效果,完成单吐的过程。单吐一般在音符上方用“T”标示。根据音乐表现的需要，单吐又可以分为断吐和连吐两种。",
			},
			{
				key: 0,
				name: "双吐",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"双吐是用来完成连续快速分奏的技巧。首先用舌尖部顶住前上腭，然后将其放开，发出“吐”字。简言之，在“吐”字发出后，立即加发一个“苦”字，将“吐苦”二字连接起来便是双吐。双吐的符号是“TK”。",
			},
			{
				key: 0,
				name: "三吐",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"三吐实际上是单吐和双吐在某种节奏型上的综合运用，符号为“TTK”或者“TKT”，即“吐吐苦”或者“吐苦吐”",
			},
		],
		tones: [
			{
				key: 5,
				name: "G",
				octave: 4,
				step: -1,
				realKey: 0,
				realName: "",
			},
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "C5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "D5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "E5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "F5",
			},
			{
				key: 6,
				name: "A",
				octave: 4,
				step: -1,
				realKey: 0,
				realName: "A4",
			},
			{
				key: 7,
				name: "B",
				octave: 4,
				step: -1,
				realKey: 0,
				mark: "fall",
				realName: "B4",
			},
		],
		list: [
			{
				key: 3,
				name: "E",
				octave: 4,
				step: -1,
				realKey: 64,
				realName: "E4",
			},
			{
				key: 4,
				name: "F",
				octave: 4,
				step: -1,
				realKey: 65,
				realName: "F4",
			},
			{
				key: 4,
				name: "F",
				octave: 4,
				step: -1,
				mark: "rise",
				realKey: 66,
				realName: "Gb4",
			},
			{
				key: 5,
				name: "G",
				octave: 4,
				step: -1,
				realKey: 67,
				realName: "G4",
			},
			{
				key: 6,
				name: "A",
				octave: 4,
				step: -1,
				mark: "fall",
				realKey: 68,
				realName: "Ab4",
			},
			{
				key: 6,
				name: "A",
				octave: 4,
				step: -1,
				realKey: 69,
				realName: "A4",
			},
			{
				key: 7,
				name: "B",
				octave: 4,
				step: -1,
				mark: "fall",
				realKey: 70,
				realName: "Bb4",
			},
			{
				key: 7,
				name: "B",
				octave: 4,
				step: -1,
				realKey: 71,
				realName: "B4",
			},
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 72,
				realName: "C5",
			},
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 73,
				realName: "Db5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 74,
				realName: "D5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 75,
				realName: "Eb5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 76,
				realName: "E5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 77,
				realName: "F5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 78,
				realName: "Gb5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 79,
				realName: "G5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 80,
				realName: "Ab5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 81,
				realName: "A5",
			},
		],
		listC5: [
			{
				key: 6,
				octave: 4,
				step: -1,
				name: "E",
				realKey: 64,
				realName: "E4",
			},
			{
				key: 7,
				name: "F",
				octave: 4,
				step: -1,
				mark: "fall",
				realKey: 65,
				realName: "F4",
			},
			{
				key: 7,
				name: "F",
				octave: 4,
				step: -1,
				realKey: 66,
				realName: "Gb4",
			},
			{
				key: 1,
				name: "G",
				octave: 4,
				step: 0,
				realKey: 67,
				realName: "G4",
			},
			{
				key: 1,
				name: "A",
				octave: 4,
				step: 0,
				mark: "rise",
				realKey: 68,
				realName: "Ab4",
			},
			{
				key: 2,
				name: "A",
				octave: 4,
				step: 0,
				realKey: 69,
				realName: "A4",
			},
			{
				key: 3,
				name: "B",
				octave: 4,
				step: 0,
				mark: "fall",
				realKey: 70,
				realName: "Bb4",
			},
			{
				key: 3,
				name: "B",
				octave: 4,
				step: 0,
				realKey: 71,
				realName: "B4",
			},
			{
				key: 4,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 72,
				realName: "C5",
			},
			{
				key: 4,
				name: "C",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 73,
				realName: "Db5",
			},
			{
				key: 5,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 74,
				realName: "D5",
			},
			{
				key: 6,
				name: "E",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 75,
				realName: "Eb5",
			},
			{
				key: 6,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 76,
				realName: "E5",
			},
			{
				key: 7,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 77,
				realName: "F5",
			},
			{
				key: 7,
				name: "F",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 78,
				realName: "Gb5",
			},
			{
				key: 1,
				name: "G",
				octave: 5,
				step: 1,
				realKey: 79,
				realName: "G5",
			},
			{
				key: 1,
				name: "A",
				octave: 5,
				step: 1,
				mark: "rise",
				realKey: 80,
				realName: "Ab5",
			},
			{
				key: 2,
				name: "A",
				octave: 5,
				step: 1,
				realKey: 81,
				realName: "A5",
			},
		],
		listD5: [
			{
				key: 7,
				octave: 4,
				step: -1,
				name: "E",
				realKey: 64,
				realName: "E4",
			},
			{
				key: 1,
				name: "F",
				octave: 4,
				step: 0,
				realKey: 65,
				realName: "F4",
			},
			{
				key: 1,
				name: "F",
				octave: 4,
				step: 0,
				mark: "rise",
				realKey: 66,
				realName: "Gb4",
			},
			{
				key: 2,
				name: "G",
				octave: 4,
				step: 0,
				realKey: 67,
				realName: "G4",
			},
			{
				key: 3,
				name: "A",
				octave: 4,
				step: 0,
				mark: "fall",
				realKey: 68,
				realName: "Ab4",
			},
			{
				key: 3,
				name: "A",
				octave: 4,
				step: 0,
				realKey: 69,
				realName: "A4",
			},
			{
				key: 4,
				name: "B",
				octave: 4,
				step: 0,
				realKey: 70,
				realName: "Bb4",
			},
			{
				key: 4,
				name: "B",
				octave: 4,
				step: 0,
				mark: "rise",
				realKey: 71,
				realName: "B4",
			},
			{
				key: 5,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 72,
				realName: "C5",
			},
			{
				key: 6,
				name: "C",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 73,
				realName: "Db5",
			},
			{
				key: 6,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 74,
				realName: "D5",
			},
			{
				key: 7,
				name: "E",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 75,
				realName: "Eb5",
			},
			{
				key: 7,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 76,
				realName: "E5",
			},
			{
				key: 1,
				name: "F",
				octave: 5,
				step: 1,
				realKey: 77,
				realName: "F5",
			},
			{
				key: 1,
				name: "F",
				octave: 5,
				step: 1,
				mark: "rise",
				realKey: 78,
				realName: "Gb5",
			},
			{
				key: 2,
				name: "G",
				octave: 5,
				step: 1,
				realKey: 79,
				realName: "G5",
			},
			{
				key: 3,
				name: "A",
				octave: 5,
				step: 1,
				mark: "fall",
				realKey: 80,
				realName: "Ab5",
			},
			{
				key: 3,
				name: "A",
				octave: 5,
				step: 1,
				realKey: 81,
				realName: "A5",
			},
		],
		listE5: [
			{
				key: 1,
				octave: 4,
				step: 0,
				mark: "rise",
				name: "E",
				realKey: 64,
				realName: "E4",
			},
			{
				key: 2,
				name: "F",
				octave: 4,
				step: 0,
				realKey: 65,
				realName: "F4",
			},
			{
				key: 3,
				name: "F",
				octave: 4,
				step: 0,
				mark: "fall",
				realKey: 66,
				realName: "Gb4",
			},
			{
				key: 3,
				name: "G",
				octave: 4,
				step: 0,
				realKey: 67,
				realName: "G4",
			},
			{
				key: 4,
				name: "A",
				octave: 4,
				step: 0,
				realKey: 68,
				realName: "Ab4",
			},
			{
				key: 4,
				name: "A",
				octave: 4,
				step: 0,
				mark: "rise",
				realKey: 69,
				realName: "A4",
			},
			{
				key: 5,
				name: "B",
				octave: 4,
				step: 0,
				realKey: 70,
				realName: "Bb4",
			},
			{
				key: 6,
				name: "B",
				octave: 4,
				step: 0,
				mark: "fall",
				realKey: 71,
				realName: "B4",
			},
			{
				key: 6,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 72,
				realName: "C5",
			},
			{
				key: 7,
				name: "C",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 73,
				realName: "Db5",
			},
			{
				key: 7,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 74,
				realName: "D5",
			},
			{
				key: 1,
				name: "E",
				octave: 5,
				step: 1,
				realKey: 75,
				realName: "Eb5",
			},
			{
				key: 1,
				name: "E",
				octave: 5,
				step: 1,
				mark: "rise",
				realKey: 76,
				realName: "E5",
			},
			{
				key: 2,
				name: "F",
				octave: 5,
				step: 1,
				realKey: 77,
				realName: "F5",
			},
			{
				key: 3,
				name: "F",
				octave: 5,
				step: 1,
				mark: "fall",
				realKey: 78,
				realName: "Gb5",
			},
			{
				key: 3,
				name: "G",
				octave: 5,
				step: 1,
				realKey: 79,
				realName: "G5",
			},
			{
				key: 4,
				name: "A",
				octave: 5,
				step: 1,
				realKey: 80,
				realName: "Ab5",
			},
			{
				key: 4,
				name: "A",
				octave: 5,
				step: 1,
				mark: "rise",
				realKey: 81,
				realName: "A5",
			},
		],
		listF5: [
			{
				key: 2,
				octave: 4,
				step: 0,
				name: "E",
				realKey: 64,
				realName: "E4",
			},
			{
				key: 2,
				name: "F",
				octave: 4,
				step: 0,
				mark: "rise",
				realKey: 65,
				realName: "F4",
			},
			{
				key: 3,
				name: "F",
				octave: 4,
				step: 0,
				realKey: 66,
				realName: "Gb4",
			},
			{
				key: 4,
				name: "G",
				octave: 4,
				step: 0,
				realKey: 67,
				realName: "G4",
			},
			{
				key: 4,
				name: "A",
				octave: 4,
				step: 0,
				mark: "rise",
				realKey: 68,
				realName: "Ab4",
			},
			{
				key: 5,
				name: "A",
				octave: 4,
				step: 0,
				realKey: 69,
				realName: "A4",
			},
			{
				key: 6,
				name: "B",
				octave: 4,
				step: 0,
				mark: "fall",
				realKey: 70,
				realName: "Bb4",
			},
			{
				key: 6,
				name: "B",
				octave: 4,
				step: 0,
				realKey: 71,
				realName: "B4",
			},
			{
				key: 7,
				name: "C",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 72,
				realName: "C5",
			},
			{
				key: 7,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 73,
				realName: "Db5",
			},
			{
				key: 1,
				name: "D",
				octave: 5,
				step: 1,
				realKey: 74,
				realName: "D5",
			},
			{
				key: 1,
				name: "E",
				octave: 5,
				step: 1,
				mark: "rise",
				realKey: 75,
				realName: "Eb5",
			},
			{
				key: 2,
				name: "E",
				octave: 5,
				step: 1,
				realKey: 76,
				realName: "E5",
			},
			{
				key: 3,
				name: "F",
				octave: 5,
				step: 1,
				mark: "fall",
				realKey: 77,
				realName: "F5",
			},
			{
				key: 3,
				name: "F",
				octave: 5,
				step: 1,
				realKey: 78,
				realName: "Gb5",
			},
			{
				key: 4,
				name: "G",
				octave: 5,
				step: 1,
				realKey: 79,
				realName: "G5",
			},
			{
				key: 4,
				name: "A",
				octave: 5,
				step: 1,
				mark: "rise",
				realKey: 80,
				realName: "Ab5",
			},
			{
				key: 5,
				name: "A",
				octave: 5,
				step: 1,
				realKey: 81,
				realName: "A5",
			},
		],
		listA4: [
			{
				key: 4,
				octave: 4,
				step: -1,
				mark: "rise",
				name: "E",
				realKey: 64,
				realName: "E4",
			},
			{
				key: 5,
				name: "F",
				octave: 4,
				step: -1,
				realKey: 65,
				realName: "F4",
			},
			{
				key: 6,
				name: "F",
				octave: 4,
				step: -1,
				mark: "fall",
				realKey: 66,
				realName: "Gb4",
			},
			{
				key: 6,
				name: "G",
				octave: 4,
				step: -1,
				realKey: 67,
				realName: "G4",
			},
			{
				key: 7,
				name: "A",
				octave: 4,
				step: -1,
				mark: "fall",
				realKey: 68,
				realName: "Ab4",
			},
			{
				key: 7,
				name: "A",
				octave: 4,
				step: -1,
				realKey: 69,
				realName: "A4",
			},
			{
				key: 1,
				name: "B",
				octave: 4,
				step: 0,
				realKey: 70,
				realName: "Bb4",
			},
			{
				key: 1,
				name: "B",
				octave: 4,
				step: 0,
				mark: "rise",
				realKey: 71,
				realName: "B4",
			},
			{
				key: 2,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 72,
				realName: "C5",
			},
			{
				key: 3,
				name: "C",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 73,
				realName: "Db5",
			},
			{
				key: 3,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 74,
				realName: "D5",
			},
			{
				key: 4,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 75,
				realName: "Eb5",
			},
			{
				key: 4,
				name: "E",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 76,
				realName: "E5",
			},
			{
				key: 5,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 77,
				realName: "F5",
			},
			{
				key: 6,
				name: "F",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 78,
				realName: "Gb5",
			},
			{
				key: 6,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 79,
				realName: "G5",
			},
			{
				key: 7,
				name: "A",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 80,
				realName: "Ab5",
			},
			{
				key: 7,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 81,
				realName: "A5",
			},
		],
		listB4: [
			{
				key: 5,
				octave: 4,
				step: -1,
				name: "E",
				realKey: 64,
				realName: "E4",
			},
			{
				key: 5,
				name: "F",
				octave: 4,
				step: -1,
				mark: "rise",
				realKey: 65,
				realName: "F4",
			},
			{
				key: 6,
				name: "F",
				octave: 4,
				step: -1,
				realKey: 66,
				realName: "Gb4",
			},
			{
				key: 7,
				name: "G",
				octave: 4,
				step: -1,
				mark: "fall",
				realKey: 67,
				realName: "G4",
			},
			{
				key: 7,
				name: "A",
				octave: 4,
				step: -1,
				realKey: 68,
				realName: "Ab4",
			},
			{
				key: 1,
				name: "A",
				octave: 4,
				step: 0,
				realKey: 69,
				realName: "A4",
			},
			{
				key: 1,
				name: "B",
				octave: 4,
				step: 0,
				mark: "rise",
				realKey: 70,
				realName: "Bb4",
			},
			{
				key: 2,
				name: "B",
				octave: 4,
				step: 0,
				realKey: 71,
				realName: "B4",
			},
			{
				key: 3,
				name: "C",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 72,
				realName: "C5",
			},
			{
				key: 3,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 73,
				realName: "Db5",
			},
			{
				key: 4,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 74,
				realName: "D5",
			},
			{
				key: 4,
				name: "E",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 75,
				realName: "Eb5",
			},
			{
				key: 5,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 76,
				realName: "E5",
			},
			{
				key: 6,
				name: "F",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 77,
				realName: "F5",
			},
			{
				key: 6,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 78,
				realName: "Gb5",
			},
			{
				key: 7,
				name: "G",
				octave: 5,
				step: 0,
				mark: "fall",
				realKey: 79,
				realName: "G5",
			},
			{
				key: 7,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 80,
				realName: "Ab5",
			},
			{
				key: 1,
				name: "A",
				octave: 5,
				step: 1,
				realKey: 81,
				realName: "A5",
			},
		],
	},
	piccolo: {
		tips: [
			{
				key: 0,
				name: "拿竖笛的方法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"把竖笛拿起来，然后放在嘴边，把它轻轻地放在你的唇间，并用你的手指拿稳。记住要把你的左手放在上边，有一个孔的背面应该正对着你，不要咬吹口或是让它碰到牙。",
			},
			{
				key: 0,
				name: "吹竖笛的力度",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"向竖笛吹气，轻一点吹想象你在吹泡泡一样，控制气流的稳定并轻柔地吹奏，尝试用膈肌呼吸并确保你吹得均匀，这可以使声音稳定持续。",
			},
			{
				key: 0,
				name: "学习呼吸方法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"吹竖笛时，气息的控制是很关键的，气息分为缓吹法和急吹法，吸气要从鼻子和嘴角吸气，吸到胸部和腰部，小腹微微向里收，以使演奏有气息支持。",
			},
			{
				key: 0,
				name: "勤练习指法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"指法图是用来表示竖笛上的单音的，后背的孔叫0孔，从上到下依次为一孔、二孔、三孔、四孔、五孔、六孔、七孔，要吹奏简单的练习曲，必须要牢记单音的指法。",
			},
			{
				key: 0,
				name: "学习一些演奏技法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"单吐是用舌尖顶住上牙的牙根，用气息轻轻地把舌尖冲开，待声音发出后舌尖有弹性地返回到原来的位置，这时舌尖就像一个通气阀门，如果我们让它发出声音就像发“嘟”音的感觉。在有连线的地方只有第一个音采用单吐的技法，后面的音不再做吐音，只接前面“嘟”音的尾音发出“呜”音，整个连线里面的音就像“嘟呜”的。",
			},
		],
		tones: [
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "",	
			},
			{
				key: 4,
				name: "F",
				octave: 4,
				step: -1,
				realKey: 0,
				realName: "F4",	
			},
			{
				key: 2,
				name: "D",
				octave: 4,
				step: -1,
				realKey: 0,
				realName: "D4",	
			},
			{
				key: 5,
				name: "G",
				octave: 4,
				step: -1,
				realKey: 0,
				realName: "G4",	
			},
		],
		list: [
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 61,
				mark: "fall",
				realName: "Db5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 63,
				mark: "fall",
				realName: "Eb5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 66,
				mark: "fall",
				realName: "Gb5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 68,
				mark: "fall",
				realName: "Ab5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 70,
				mark: "fall",
				realName: "Bb5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 1,
				name: "C",
				octave: 6,
				step: 1,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 73,
				mark: "fall",
				realName: "Db6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 75,
				mark: "fall",
				realName: "Eb6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 4,
				name: "F",
				octave: 6,
				step: 1,
				realKey: 77,
				realName: "F6",
			},
			{
				key: 5,
				name: "G",
				octave: 6,
				step: 1,
				realKey: 78,
				mark: "fall",
				realName: "Gb6",
			},
			{
				key: 5,
				name: "G",
				octave: 6,
				step: 1,
				realKey: 79,
				realName: "G6",
			},
			{
				key: 6,
				name: "A",
				octave: 6,
				step: 1,
				realKey: 80,
				mark: "fall",
				realName: "Ab6",
			},
			{
				key: 6,
				name: "A",
				octave: 6,
				step: 1,
				realKey: 81,
				realName: "A6",
			},
			{
				key: 7,
				name: "B",
				octave: 6,
				step: 1,
				realKey: 82,
				mark: "fall",
				realName: "Bb6",
			},
			{
				key: 7,
				name: "B",
				octave: 6,
				step: 1,
				realKey: 83,
				realName: "B6",
			},
			{
				key: 1,
				name: "C",
				octave: 7,
				step: 2,
				realKey: 84,
				realName: "C7",
			},
			{
				key: 2,
				name: "D",
				octave: 7,
				step: 2,
				realKey: 85,
				mark: "fall",
				realName: "Db7",
			},
			{
				key: 2,
				name: "D",
				octave: 7,
				step: 2,
				realKey: 86,
				realName: "D7",
			},
		],
		listF4: [
			{
				key: 5,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 6,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 7,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 1,
				step: 0,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 2,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 3,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 4,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 4,
				step: 0,
				mark: 'rise',
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 5,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 6,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 7,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 1,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "G",
				octave: 6,
				realKey: 78,
				realName: "Gb6",
			},
			{
				key: 2,
				step: 1,
				name: "G",
				octave: 6,
				realKey: 79,
				realName: "G6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "A",
				octave: 6,
				realKey: 80,
				realName: "Ab6",
			},
			{
				key: 3,
				step: 1,
				name: "A",
				octave: 6,
				realKey: 81,
				realName: "A6",
			},
			{
				key: 4,
				step: 1,
				name: "B",
				octave: 6,
				realKey: 82,
				realName: "Bb6",
			},
			{
				key: 4,
				step: 1,
				mark: 'rise',
				name: "B",
				octave: 6,
				realKey: 83,
				realName: "B6",
			},
			{
				key: 5,
				step: 1,
				name: "C",
				octave: 7,
				realKey: 84,
				realName: "C7",
			},
			{
				key: 5,
				step: 1,
				name: "D",
				mark: "rise",
				octave: 7,
				realKey: 85,
				realName: "Db7",
			},
			{
				key: 6,
				step: 1,
				name: "D",
				octave: 7,
				realKey: 86,
				realName: "D7",
			},
		],
		listD4: [
			{
				key: 6,
				step: -1,
				mark: 'rise',
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 7,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 1,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 2,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 3,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 4,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 5,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 6,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 7,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 1,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 2,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
			{
				key: 3,
				step: 1,
				name: "G",
				octave: 6,
				realKey: 78,
				realName: "Gb6",
			},
			{
				key: 4,
				step: 1,
				name: "G",
				octave: 6,
				realKey: 79,
				realName: "G6",
			},
			{
				key: 4,
				step: 1,
				mark: "rise",
				name: "A",
				octave: 6,
				realKey: 80,
				realName: "Ab6",
			},
			{
				key: 5,
				step: 1,
				name: "A",
				octave: 6,
				realKey: 81,
				realName: "A6",
			},
			{
				key: 5,
				step: 1,
				mark: "rise",
				name: "B",
				octave: 6,
				realKey: 82,
				realName: "Bb6",
			},
			{
				key: 6,
				step: 1,
				name: "B",
				octave: 6,
				realKey: 83,
				realName: "B6",
			},
			{
				key: 6,
				step: 1,
				mark: "rise",
				name: "C",
				octave: 7,
				realKey: 84,
				realName: "C7",
			},
			{
				key: 7,
				step: 1,
				name: "D",
				octave: 7,
				realKey: 85,
				realName: "Db7",
			},
			{
				key: 1,
				step: 2,
				name: "D",
				octave: 7,
				realKey: 86,
				realName: "D7",
			},
		],
		listG4: [
			{
				key: 4,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 5,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 6,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 7,
				step: -1,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 1,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 2,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 3,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 4,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 5,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 6,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
			{
				key: 7,
				step: 0,
				name: "G",
				octave: 6,
				realKey: 78,
				realName: "Gb6",
			},
			{
				key: 1,
				step: 1,
				name: "G",
				octave: 6,
				realKey: 79,
				realName: "G6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "A",
				octave: 6,
				realKey: 80,
				realName: "Ab6",
			},
			{
				key: 2,
				step: 1,
				name: "A",
				octave: 6,
				realKey: 81,
				realName: "A6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "B",
				octave: 6,
				realKey: 82,
				realName: "Bb6",
			},
			{
				key: 3,
				step: 1,
				name: "B",
				octave: 6,
				realKey: 83,
				realName: "B6",
			},
			{
				key: 4,
				step: 1,
				name: "C",
				octave: 7,
				realKey: 84,
				realName: "C7",
			},
			{
				key: 4,
				step: 1,
				name: "D",
				mark: "rise",
				octave: 7,
				realKey: 85,
				realName: "Db7",
			},
			{
				key: 5,
				step: 1,
				name: "D",
				octave: 7,
				realKey: 86,
				realName: "D7",
			},
		],
	},
	ocarina: {
		tips: [
			{
				key: 0,
				name: "嘴型",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"以嘴唇轻轻含住吹口，不可含太深，以免盖住出气孔。\n吹气方式宜以丹田之力(腹腔)稳定送出，一可避免太多口水，二可产生振音效果，让笛韵更为悦耳。",
			},
			{
				key: 0,
				name: "长音",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"长音的吹奏，要求音量平稳，不可忽大忽小，音与音之间，要流畅的连接，不可断断续续。\n短音与重音需运用“踢舌”的技巧，将舌尖抵住上腭牙齿与牙龈的相接处，于吹气时瞬间将舌头缩回，这样的声音干净有力，听起来有活泼欢乐的感觉。",
			},
			{
				key: 0,
				name: "滑音",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"开合气孔的方式，一般是直接提高手指，音阶瞬间转换，另一种方式是将手指向陶笛外侧慢慢滑开，如此可以产生优美的滑音。",
			},
			{
				key: 0,
				name: "圆滑音",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"在两个以上不同高的音符之间加上“”记号，此记号成为圆滑线，它的吹法是用一口气连接的吹完整串音符，中间气不间断，注意第一个音仍要踢舌!",
			},
			{
				key: 0,
				name: "气震音",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"气震音是指在吹奏中用气流的变化来让发出的音发生波动，产生颤抖的感觉，所以又称气颤音，靠腹部控制，又叫腹震音。",
			},
			{
				key: 0,
				name: "呼吸方法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"使用胸腹式呼吸法是一种比较科学的呼吸方法，大致分为两个步骤，吸气速度要快，胸腹要做到联合动作，让胸腹快速吸到更多的气，也可以用口协助吸气。",
			},
		],
		tones: [
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "",
			},
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 0,
				realName: "Db5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "D5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 0,
				realName: "Eb5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "E5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "F5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 0,
				realName: "Gb5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "G5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 0,
				realName: "Ab5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "A5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 0,
				realName: "Bb5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "B5",
			},
		],
		list: [
			{
				key: 6,
				name: "A",
				octave: 4,
				step: -1,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 7,
				name: "B",
				octave: 4,
				step: -1,
				realKey: 58,
				mark: "fall",
				realName: "Bb4",
			},
			{
				key: 7,
				name: "B",
				octave: 4,
				step: -1,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 61,
				mark: "fall",
				realName: "Db5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 63,
				mark: "fall",
				realName: "Eb5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 66,
				mark: "fall",
				realName: "Gb5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 68,
				mark: "fall",
				realName: "Ab5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 70,
				mark: "fall",
				realName: "Bb5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 1,
				name: "C",
				octave: 6,
				step: 1,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 73,
				mark: "fall",
				realName: "Db6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 75,
				mark: "fall",
				realName: "Eb6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 4,
				name: "F",
				octave: 6,
				step: 1,
				realKey: 77,
				realName: "F6",
			},
		],
		listDb5: [
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 6,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 7,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 1,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 2,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 3,
				step: 0,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 4,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 5,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 6,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 7,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 1,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 2,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 3,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listD5: [
			{
				key: 5,
				step: -1,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 6,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 7,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 1,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 2,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 3,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 4,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 5,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 6,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 7,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 1,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 2,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listEb5: [
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 5,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 6,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 7,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 1,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 2,
				step: 0,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 3,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 4,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 5,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 6,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 7,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 1,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 2,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listE5: [
			{
				key: 4,
				step: -1,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 5,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 6,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 7,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 1,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 2,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 3,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 4,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 5,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 6,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 7,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 1,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listF5: [
			{
				key: 3,
				step: -1,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 4,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 5,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 6,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 7,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 1,
				step: 0,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 2,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 3,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 4,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 5,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 6,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 7,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 1,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listGb5: [
			{
				key: 2,
				step: -1,
				mark: "rise",
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 3,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 4,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 5,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 6,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 7,
				step: -1,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 1,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 2,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 3,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 4,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 5,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 6,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 7,
				step: 0,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listG5: [
			{
				key: 2,
				step: -1,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 2,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 3,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 4,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 5,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 6,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 7,
				step: -1,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 1,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 2,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 3,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 4,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 5,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 6,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listAb5: [
			{
				key: 1,
				step: -1,
				mark: "rise",
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 2,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 2,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 3,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 4,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 5,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 6,
				step: -1,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 7,
				step: -1,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 1,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 2,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 3,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 4,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 5,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 6,
				step: 0,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listA5: [
			{
				key: 1,
				step: 0,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 2,
				step: 0,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 3,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 4,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 5,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 6,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 7,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 1,
				step: 1,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 2,
				step: 1,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 3,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 4,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 4,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 5,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 5,
				step: 1,
				mark: "rise",
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listBb5: [
			{
				key: 7,
				step: -1,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 1,
				step: 0,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 2,
				step: 0,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 3,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 4,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 5,
				step: 0,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 6,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 7,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 1,
				step: 1,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 2,
				step: 1,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 3,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 4,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 4,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 5,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listB5: [
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 7,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 1,
				step: 0,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 2,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 3,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 4,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 5,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 6,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 6,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 7,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 1,
				step: 1,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 2,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 3,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 4,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
	},
	whistling: {
		tips: [
			{
				key: 0,
				name: "嘴型",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"以嘴唇轻轻含住吹口，不可含太深，以免盖住出气孔。\n吹气方式宜以丹田之力(腹腔)稳定送出，一可避免太多口水，二可产生振音效果，让笛韵更为悦耳。",
			},
			{
				key: 0,
				name: "长音",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"长音的吹奏，要求音量平稳，不可忽大忽小，音与音之间，要流畅的连接，不可断断续续。\n短音与重音需运用“踢舌”的技巧，将舌尖抵住上腭牙齿与牙龈的相接处，于吹气时瞬间将舌头缩回，这样的声音干净有力，听起来有活泼欢乐的感觉。",
			},
			{
				key: 0,
				name: "滑音",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"开合气孔的方式，一般是直接提高手指，音阶瞬间转换，另一种方式是将手指向陶笛外侧慢慢滑开，如此可以产生优美的滑音。",
			},
			{
				key: 0,
				name: "圆滑音",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"在两个以上不同高的音符之间加上“”记号，此记号成为圆滑线，它的吹法是用一口气连接的吹完整串音符，中间气不间断，注意第一个音仍要踢舌!",
			},
			{
				key: 0,
				name: "气震音",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"气震音是指在吹奏中用气流的变化来让发出的音发生波动，产生颤抖的感觉，所以又称气颤音，靠腹部控制，又叫腹震音。",
			},
			{
				key: 0,
				name: "呼吸方法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"使用胸腹式呼吸法是一种比较科学的呼吸方法，大致分为两个步骤，吸气速度要快，胸腹要做到联合动作，让胸腹快速吸到更多的气，也可以用口协助吸气。",
			},
		],
		tones: [
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "",
			},
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 0,
				realName: "Db5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "D5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 0,
				realName: "Eb5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "E5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "F5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 0,
				realName: "Gb5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "G5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 0,
				realName: "Ab5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "A5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				mark: "rise",
				realKey: 0,
				realName: "Bb5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 0,
				realName: "B5",
			},
		],
		list: [
			{
				key: 6,
				name: "A",
				octave: 4,
				step: -1,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 7,
				name: "B",
				octave: 4,
				step: -1,
				realKey: 58,
				mark: "fall",
				realName: "Bb4",
			},
			{
				key: 7,
				name: "B",
				octave: 4,
				step: -1,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 61,
				mark: "fall",
				realName: "Db5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 63,
				mark: "fall",
				realName: "Eb5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 66,
				mark: "fall",
				realName: "Gb5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 68,
				mark: "fall",
				realName: "Ab5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 70,
				mark: "fall",
				realName: "Bb5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 1,
				name: "C",
				octave: 6,
				step: 1,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 73,
				mark: "fall",
				realName: "Db6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 75,
				mark: "fall",
				realName: "Eb6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 4,
				name: "F",
				octave: 6,
				step: 1,
				realKey: 77,
				realName: "F6",
			},
		],
		listDb5: [
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 6,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 7,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 1,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 2,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 3,
				step: 0,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 4,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 5,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 6,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 7,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 1,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 2,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 3,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listD5: [
			{
				key: 5,
				step: -1,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 6,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 7,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 1,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 2,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 3,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 4,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 5,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 6,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 7,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 1,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 2,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listEb5: [
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 5,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 6,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 7,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 1,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 2,
				step: 0,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 3,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 4,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 5,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 6,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 7,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 1,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 2,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listE5: [
			{
				key: 4,
				step: -1,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 5,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 6,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 7,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 1,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 2,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 3,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 4,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 5,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 6,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 7,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 1,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listF5: [
			{
				key: 3,
				step: -1,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 4,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 5,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 6,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 7,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 1,
				step: 0,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 2,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 3,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 4,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 5,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 6,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 7,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 1,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listGb5: [
			{
				key: 2,
				step: -1,
				mark: "rise",
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 3,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 4,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 5,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 6,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 7,
				step: -1,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 1,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 2,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 3,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 4,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 5,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 6,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 7,
				step: 0,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listG5: [
			{
				key: 2,
				step: -1,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 2,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 3,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 4,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 5,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 6,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 7,
				step: -1,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 1,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 2,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 3,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 4,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 5,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 6,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listAb5: [
			{
				key: 1,
				step: -1,
				mark: "rise",
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 2,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 2,
				step: -1,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 3,
				step: -1,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 4,
				step: -1,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 4,
				step: -1,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 5,
				step: -1,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 5,
				step: -1,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 6,
				step: -1,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 7,
				step: -1,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 1,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 2,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 3,
				step: 0,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 4,
				step: 0,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 5,
				step: 0,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 6,
				step: 0,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listA5: [
			{
				key: 1,
				step: 0,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 2,
				step: 0,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 3,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 4,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 5,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 6,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 7,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 1,
				step: 1,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 2,
				step: 1,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 3,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 4,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 4,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 5,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 5,
				step: 1,
				mark: "rise",
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listBb5: [
			{
				key: 7,
				step: -1,
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 1,
				step: 0,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 2,
				step: 0,
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 3,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 4,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 5,
				step: 0,
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 6,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 7,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 1,
				step: 1,
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 2,
				step: 1,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 3,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 4,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 4,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 5,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
		listB5: [
			{
				key: 6,
				step: -1,
				mark: "rise",
				name: "A",
				octave: 4,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 7,
				step: -1,
				name: "B",
				octave: 4,
				realKey: 58,
				realName: "Bb4",
			},
			{
				key: 1,
				step: 0,
				name: "B",
				octave: 4,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 1,
				step: 0,
				mark: "rise",
				name: "C",
				octave: 5,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 2,
				step: 0,
				name: "D",
				octave: 5,
				realKey: 61,
				realName: "Db5",
			},
			{
				key: 2,
				step: 0,
				mark: "rise",
				name: "D",
				octave: 5,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 3,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 63,
				realName: "Eb5",
			},
			{
				key: 4,
				step: 0,
				name: "E",
				octave: 5,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 4,
				step: 0,
				mark: "rise",
				name: "F",
				octave: 5,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 5,
				step: 0,
				name: "G",
				octave: 5,
				realKey: 66,
				realName: "Gb5",
			},
			{
				key: 5,
				step: 0,
				mark: "rise",
				name: "G",
				octave: 5,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 6,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 68,
				realName: "Ab5",
			},
			{
				key: 6,
				step: 0,
				name: "A",
				octave: 5,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 6,
				step: 0,
				mark: "rise",
				name: "B",
				octave: 5,
				realKey: 70,
				realName: "Bb5",
			},
			{
				key: 7,
				step: 0,
				name: "B",
				octave: 5,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 1,
				step: 1,
				name: "C",
				octave: 6,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 1,
				step: 1,
				mark: "rise",
				name: "D",
				octave: 6,
				realKey: 73,
				realName: "Db6",
			},
			{
				key: 2,
				step: 1,
				name: "D",
				octave: 6,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 2,
				step: 1,
				mark: "rise",
				name: "E",
				octave: 6,
				realKey: 75,
				realName: "Eb6",
			},
			{
				key: 3,
				step: 1,
				name: "E",
				octave: 6,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 4,
				step: 1,
				name: "F",
				octave: 6,
				realKey: 77,
				realName: "F6",
			},
		],
	},	
	melodica: {
		tips: [
			{
				key: 0,
				name: "演奏姿势",
				octave: 0,
				step: 0,
				realKey: 0,
				realName: "口风琴的基本演奏姿势有两种,即坐奏式和立奏式两种。",
			},
			{
				key: 0,
				name: "坐奏式",
				octave: 0,
				step: 0,
				realKey: 0,
				realName: "将口风琴平放在桌上,左手持长吹管前面的吹嘴,有手在琴键上演奎。要求身体端正。",
			},
			{
				key: 0,
				name: "立奏式",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"口含短吹管,左手持琴,右手在琴键上演奏。琴身倾斜约45度。\n注：无论是坐奏式还是立奏式,都要注意口含吹嘴少些。",
			},
			{
				key: 0,
				name: "呼吸方法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"呼吸吹奏口风琴时的呼吸与唱歌和演奏其他吹管乐器时的呼吸方法基本一致,即采用口鼻并用的胸腹式呼吸法。请记住下面这一句:深吸气,要保持,均匀平稳呼出去。",
			},
			{
				key: 0,
				name: "吐舌法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"与演奏其他管乐器一样,演奏口风琴时,吐舌法是十分重要的。其基本方法是舌尖轻触上牙床,并靠拢前肠,气流通过。",
			},
			{
				key: 0,
				name: "基本指法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"口风琴的指法与钢琴、风琴电子琴、手风琴等键盘乐器基本上相同,其区别在于使用它作同音重复演奏时,手指不动,而是用吐舌法来完成。\n演奏口风琴时,右手手指编了号:拇指为1号指,食指为2号指,中指为3号指,无名指为4号指,小指为五号指。与演奏其他键盘乐器一样,演奏口风琴时要求手指自然弯曲,以指尖触键,手腕平放,手心如提球状。",
			},
		],
		tones: [],
		list: [
			{
				key: 4,
				name: "F",
				octave: 4,
				step: -1,
				realKey: 53,
				realName: "F4",
			},
			{
				key: 5,
				name: "G",
				octave: 4,
				step: -1,
				realKey: 54,
				mark: "fall",
				realName: "Gb4",
			},
			{
				key: 5,
				name: "G",
				octave: 4,
				step: -1,
				realKey: 55,
				realName: "G4",
			},
			{
				key: 6,
				name: "A",
				octave: 4,
				step: -1,
				realKey: 56,
				mark: "fall",
				realName: "Ab4",
			},
			{
				key: 6,
				name: "A",
				octave: 4,
				step: -1,
				realKey: 57,
				realName: "A4",
			},
			{
				key: 7,
				name: "B",
				octave: 4,
				step: -1,
				realKey: 58,
				mark: "fall",
				realName: "Bb4",
			},
			{
				key: 7,
				name: "B",
				octave: 4,
				step: -1,
				realKey: 59,
				realName: "B4",
			},
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 61,
				mark: "fall",
				realName: "Db5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 63,
				mark: "fall",
				realName: "Eb5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 66,
				mark: "fall",
				realName: "Gb5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 68,
				mark: "fall",
				realName: "Ab5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 70,
				mark: "fall",
				realName: "Bb5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 1,
				name: "C",
				octave: 6,
				step: 1,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 73,
				mark: "fall",
				realName: "Db6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 75,
				mark: "fall",
				realName: "Eb6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 4,
				name: "F",
				octave: 6,
				step: 1,
				realKey: 77,
				realName: "F6",
			},
			{
				key: 5,
				name: "G",
				octave: 6,
				step: 1,
				realKey: 78,
				mark: "fall",
				realName: "Gb6",
			},
			{
				key: 5,
				name: "G",
				octave: 6,
				step: 1,
				realKey: 79,
				realName: "G6",
			},
			{
				key: 6,
				name: "A",
				octave: 6,
				step: 1,
				realKey: 80,
				mark: "fall",
				realName: "Ab6",
			},
			{
				key: 6,
				name: "A",
				octave: 6,
				step: 1,
				realKey: 81,
				realName: "A6",
			},
			{
				key: 7,
				name: "B",
				octave: 6,
				step: 1,
				realKey: 82,
				mark: "fall",
				realName: "Bb6",
			},
			{
				key: 7,
				name: "B",
				octave: 6,
				step: 1,
				realKey: 83,
				realName: "B6",
			},
			{
				key: 1,
				name: "C",
				octave: 7,
				step: 2,
				realKey: 84,
				realName: "C7",
			},
		],
	},
	"baroque-recorder": {
		tips: [
			{
				key: 0,
				name: "拿竖笛的方法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"把竖笛拿起来，然后放在嘴边，把它轻轻地放在你的唇间，并用你的手指拿稳。记住要把你的左手放在上边，有一个孔的背面应该正对着你，不要咬吹口或是让它碰到牙。",
			},
			{
				key: 0,
				name: "吹竖笛的力度",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"向竖笛吹气，轻一点吹想象你在吹泡泡一样，控制气流的稳定并轻柔地吹奏，尝试用膈肌呼吸并确保你吹得均匀，这可以使声音稳定持续。",
			},
			{
				key: 0,
				name: "学习呼吸方法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"吹竖笛时，气息的控制是很关键的，气息分为缓吹法和急吹法，吸气要从鼻子和嘴角吸气，吸到胸部和腰部，小腹微微向里收，以使演奏有气息支持。",
			},
			{
				key: 0,
				name: "勤练习指法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"指法图是用来表示竖笛上的单音的，后背的孔叫0孔，从上到下依次为一孔、二孔、三孔、四孔、五孔、六孔、七孔，要吹奏简单的练习曲，必须要牢记单音的指法。",
			},
			{
				key: 0,
				name: "学习一些演奏技法",
				octave: 0,
				step: 0,
				realKey: 0,
				realName:
					"单吐是用舌尖顶住上牙的牙根，用气息轻轻地把舌尖冲开，待声音发出后舌尖有弹性地返回到原来的位置，这时舌尖就像一个通气阀门，如果我们让它发出声音就像发“嘟”音的感觉。在有连线的地方只有第一个音采用单吐的技法，后面的音不再做吐音，只接前面“嘟”音的尾音发出“呜”音，整个连线里面的音就像“嘟呜”的。",
			},
		],
		// tones: [
		// 	{
		// 		key: 1,
		// 		name: "C",
		// 		octave: 5,
		// 		step: 0,
		// 		realKey: 0,
		// 		realName: "",	
		// 	}
		// ],
		list: [
			{
				key: 1,
				name: "C",
				octave: 5,
				step: 0,
				realKey: 60,
				realName: "C5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 61,
				mark: "fall",
				realName: "Db5",
			},
			{
				key: 2,
				name: "D",
				octave: 5,
				step: 0,
				realKey: 62,
				realName: "D5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 63,
				mark: "fall",
				realName: "Eb5",
			},
			{
				key: 3,
				name: "E",
				octave: 5,
				step: 0,
				realKey: 64,
				realName: "E5",
			},
			{
				key: 4,
				name: "F",
				octave: 5,
				step: 0,
				realKey: 65,
				realName: "F5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 66,
				mark: "fall",
				realName: "Gb5",
			},
			{
				key: 5,
				name: "G",
				octave: 5,
				step: 0,
				realKey: 67,
				realName: "G5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 68,
				mark: "fall",
				realName: "Ab5",
			},
			{
				key: 6,
				name: "A",
				octave: 5,
				step: 0,
				realKey: 69,
				realName: "A5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 70,
				mark: "fall",
				realName: "Bb5",
			},
			{
				key: 7,
				name: "B",
				octave: 5,
				step: 0,
				realKey: 71,
				realName: "B5",
			},
			{
				key: 1,
				name: "C",
				octave: 6,
				step: 1,
				realKey: 72,
				realName: "C6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 73,
				mark: "fall",
				realName: "Db6",
			},
			{
				key: 2,
				name: "D",
				octave: 6,
				step: 1,
				realKey: 74,
				realName: "D6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 75,
				mark: "fall",
				realName: "Eb6",
			},
			{
				key: 3,
				name: "E",
				octave: 6,
				step: 1,
				realKey: 76,
				realName: "E6",
			},
			{
				key: 4,
				name: "F",
				octave: 6,
				step: 1,
				realKey: 77,
				realName: "F6",
			},
			{
				key: 5,
				name: "G",
				octave: 6,
				step: 1,
				realKey: 78,
				mark: "fall",
				realName: "Gb6",
			},
			{
				key: 5,
				name: "G",
				octave: 6,
				step: 1,
				realKey: 79,
				realName: "G6",
			},
			{
				key: 6,
				name: "A",
				octave: 6,
				step: 1,
				realKey: 80,
				mark: "fall",
				realName: "Ab6",
			},
			{
				key: 6,
				name: "A",
				octave: 6,
				step: 1,
				realKey: 81,
				realName: "A6",
			},
			{
				key: 7,
				name: "B",
				octave: 6,
				step: 1,
				realKey: 82,
				mark: "fall",
				realName: "Bb6",
			},
			{
				key: 7,
				name: "B",
				octave: 6,
				step: 1,
				realKey: 83,
				realName: "B6",
			},
			{
				key: 1,
				name: "C",
				octave: 7,
				step: 2,
				realKey: 84,
				realName: "C7",
			},
			{
				key: 2,
				name: "D",
				octave: 7,
				step: 2,
				realKey: 85,
				mark: "fall",
				realName: "Db7",
			},
			{
				key: 2,
				name: "D",
				octave: 7,
				step: 2,
				realKey: 86,
				realName: "D7",
			},
			{
				key: 3,
				name: "D",
				octave: 7,
				step: 2,
				realKey: 87,
				mark: "fall",
				realName: "Gb7",
			},
		],
	},
};


export const FIGNER_INSTRUMENT_REALKEY = [60, 62, 64, 65, 67, 69, 71, 72];
